YepAPI
AI Models

Veo 3.1 Lite

Most affordable AI video generation. Fastest and cheapest Veo variant, supports up to 1080p.

POST/v1/media/queue
$0.10/sec

Overview

Most affordable video generation. Fastest and cheapest Veo variant, supports up to 1080p.

PropertyValue
Model IDgoogle/veo-3-lite
Upstream Modelveo-3.1-lite-generate-preview
Resolutions720p, 1080p
Duration4, 6, or 8 seconds
BillingPer-second (dynamic)
Pricing$0.10/sec (720p), $0.16/sec (1080p)

Usage

All media models use the async job queue. Submit a job, then poll for the result.

Step 1: Submit Job

Text-to-Video

const res = await fetch('https://api.yepapi.com/v1/media/queue', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    model: 'google/veo-3-lite',
    prompt: 'A cat walking across a sunny windowsill',
    options: {
      aspectRatio: '16:9',
      resolution: '720p',
      duration: '4',
    },
  }),
});
const { data } = await res.json();
// data.jobId — use this to poll for results
curl -X POST https://api.yepapi.com/v1/media/queue \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "google/veo-3-lite", "prompt": "A cat walking across a sunny windowsill", "options": {"resolution": "720p", "duration": "4"}}'

Image-to-Video

Pass a reference image via imageData to generate a video from a still image.

const res = await fetch('https://api.yepapi.com/v1/media/queue', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    model: 'google/veo-3-lite',
    prompt: 'Slowly zoom in while leaves gently sway in the breeze',
    options: { aspectRatio: '16:9', resolution: '720p', duration: '4' },
    imageData: {
      mimeType: 'image/jpeg',
      base64: '...', // Base64-encoded image
    },
  }),
});

Step 2: Poll for Result

const status = await fetch(`https://api.yepapi.com/v1/media/status/${data.jobId}`, {
  headers: { 'x-api-key': 'YOUR_API_KEY' },
});
const { data: job } = await status.json();
// job.status — "pending" | "processing" | "completed" | "failed"
// job.result.video — { mimeType, base64 } when completed
curl https://api.yepapi.com/v1/media/status/JOB_ID \
  -H "x-api-key: YOUR_API_KEY"

Request Body

ParameterTypeRequiredDescriptionDefault
modelstringYesgoogle/veo-3-lite
promptstringYesText description of the video to generate
options.aspectRatiostringNo16:9 or 9:1616:9
options.resolutionstringNo720p or 1080p720p
options.durationstringNo4, 6, or 8 (seconds)4
imageData.mimeTypestringNoMIME type of input image (image/png, image/jpeg, image/webp)
imageData.base64stringNoBase64-encoded input image for image-to-video generation

Pricing

ResolutionCost/sec
720p$0.10
1080p$0.16
Under the Hood

Powered by Google's Gemini API directly.

On this page